diff --git a/main.asm b/main.asm
index 0d81c646..b3e2074b 100755
--- a/main.asm
+++ b/main.asm
@@ -91776,7 +93865,7 @@ PewterGymTrainerHeader0: ; 5c441 (17:4441)
 	dw PewterGymEndBattleText1 ; 0x44d5 TextEndBattle
 	dw PewterGymEndBattleText1 ; 0x44d5 TextEndBattle
 
-db $ff
+	db $ff
 
 PewterGymText1: ; 5c44e (17:444e)
 	db $08 ; asm
@@ -91932,7 +94021,7 @@ PewterGymBlocks: ; 5c558 (17:4558)
 PewterPokecenter_h: ; 0x5c57b to 0x5c587 (12 bytes) (id=58)
 	db $06 ; tileset
 	db PEWTER_POKECENTER_HEIGHT, PEWTER_POKECENTER_WIDTH ; dimensions (y, x)
-	dw PewterPokecenterBlocks, PewterPokecenterTexts, PewterPokecenterScript ; blocks, texts, scripts
+	dw PewterPokecenterBlocks, PewterPokecenterTextPointers, PewterPokecenterScript ; blocks, texts, scripts
 	db $00 ; connections
 
 	dw PewterPokecenterObject ; objects
@@ -91941,8 +94030,11 @@ PewterPokecenterScript: ; 5c587 (17:4587)
 	call Func_22fa
 	jp EnableAutoTextBoxDrawing
 
-PewterPokecenterTexts: ; 5c58d (17:458d)
-	dw PewterPokecenterText1, PewterPokecenterText2, PewterPokecenterText3, PewterPokecenterText4
+PewterPokecenterTextPointers: ; 5c58d (17:458d)
+	dw PewterPokecenterText1
+	dw PewterPokecenterText2
+	dw PewterPokecenterText3
+	dw PewterPokecenterText4
 
 PewterPokecenterText1: ; 5c595 (17:4595)
 	db $ff
@@ -92005,7 +94097,7 @@ PewterPokecenterText5: ; 5c603 (17:4603)
 	db "@"
 
 Unknown_5c608: ; 5c608 (17:4608)
-db $30, $38, $34, $3c
+	db $30, $38, $34, $3c
 
 PewterPokecenterText4: ; 5c60c (17:460c)
 	db $f6
@@ -92032,7 +94124,7 @@ PewterPokecenterObject: ; 0x5c60d (size=44)
 CeruleanPokecenter_h: ; 0x5c639 to 0x5c645 (12 bytes) (id=64)
 	db $06 ; tileset
 	db CERULEAN_POKECENTER_HEIGHT, CERULEAN_POKECENTER_WIDTH ; dimensions (y, x)
-	dw CeruleanPokecenterBlocks, CeruleanPokecenterTexts, CeruleanPokecenterScript ; blocks, texts, scripts
+	dw CeruleanPokecenterBlocks, CeruleanPokecenterTextPointers, CeruleanPokecenterScript ; blocks, texts, scripts
 	db $00 ; connections
 
 	dw CeruleanPokecenterObject ; objects
@@ -92041,8 +94133,11 @@ CeruleanPokecenterScript: ; 5c645 (17:4645)
 	call Func_22fa
 	jp EnableAutoTextBoxDrawing
 
-CeruleanPokecenterTexts: ; 5c64b (17:464b)
-	dw CeruleanPokecenterText1, CeruleanPokecenterText2, CeruleanPokecenterText3, CeruleanPokecenterText4
+CeruleanPokecenterTextPointers: ; 5c64b (17:464b)
+	dw CeruleanPokecenterText1
+	dw CeruleanPokecenterText2
+	dw CeruleanPokecenterText3
+	dw CeruleanPokecenterText4
 
 CeruleanPokecenterText4: ; 5c653 (17:4653)
 	db $f6
@@ -92083,7 +94178,7 @@ CeruleanPokecenterBlocks: ; 5c68b (17:468b)
 CeruleanGym_h: ; 0x5c6a7 to 0x5c6b3 (12 bytes) (id=65)
 	db $07 ; tileset
 	db CERULEAN_GYM_HEIGHT, CERULEAN_GYM_WIDTH ; dimensions (y, x)
-	dw CeruleanGymBlocks, CeruleanGymTexts, CeruleanGymScript ; blocks, texts, scripts
+	dw CeruleanGymBlocks, CeruleanGymTextPointers, CeruleanGymScript ; blocks, texts, scripts
 	db $00 ; connections
 
 	dw CeruleanGymObject ; objects
@@ -92092,16 +94187,16 @@ CeruleanGymScript: ; 5c6b3 (17:46b3)
 	ld hl, $d126
 	bit 6, [hl]
 	res 6, [hl]
-	call nz, CeruleanGymScript_Unknown5c6d0
+	call nz, CeruleanGymScript_5c6d0
 	call EnableAutoTextBoxDrawing
 	ld hl, CeruleanGymTrainerHeaders
-	ld de, Unknown_5c6f8 ; $46f8
+	ld de, CeruleanGymScriptPointers
 	ld a, [W_CERULEANGYMCURSCRIPT]
 	call ExecuteCurMapScriptInTable
 	ld [W_CERULEANGYMCURSCRIPT], a
 	ret
 
-CeruleanGymScript_Unknown5c6d0: ; 5c6d0 (17:46d0)
+CeruleanGymScript_5c6d0: ; 5c6d0 (17:46d0)
 	ld hl, Gym2CityName ; $46d9
 	ld de, Gym2LeaderName ; $46e7
 	jp LoadGymLeaderAndCityName
@@ -92119,8 +94214,13 @@ Func_5c6ed: ; 5c6ed (17:46ed)
 	ld [W_CURMAPSCRIPT], a
 	ret
 
-Unknown_5c6f8: ; 5c6f8 (17:46f8)
-INCBIN "baserom.gbc",$5c6f8,$5c700 - $5c6f8
+CeruleanGymScriptPointers: ; 5c6f8 (17:46f8)
+	dw CheckFightingMapTrainers
+	dw Func_324c
+	dw EndTrainerBattle
+	dw CeruleanGymScript3
+
+CeruleanGymScript3: ; 5c700 (17:4700)
 	ld a, [W_ISINBATTLE] ; $d057
 	cp $ff
 	jp z, Func_5c6ed
@@ -92156,8 +94256,14 @@ Func_5c70d: ; 5c70d (17:470d)
 	set 3, [hl]
 	jp Func_5c6ed
 
-CeruleanGymTexts: ; 5c74a (17:474a)
-	dw CeruleanGymText1, CeruleanGymText2, CeruleanGymText3, CeruleanGymText4, CeruleanGymText5, CeruleanGymText6, CeruleanGymText7
+CeruleanGymTextPointers: ; 5c74a (17:474a)
+	dw CeruleanGymText1
+	dw CeruleanGymText2
+	dw CeruleanGymText3
+	dw CeruleanGymText4
+	dw CeruleanGymText5
+	dw CeruleanGymText6
+	dw CeruleanGymText7
 
 CeruleanGymTrainerHeaders: ; 5c758 (17:4758)
 CeruleanGymTrainerHeader0: ; 5c758 (17:4758)
@@ -92178,7 +94284,7 @@ CeruleanGymTrainerHeader1: ; 5c764 (17:4764)
 	dw CeruleanGymEndBattleText2 ; 0x4807 TextEndBattle
 	dw CeruleanGymEndBattleText2 ; 0x4807 TextEndBattle
 
-db $ff
+	db $ff
 
 CeruleanGymText1: ; 5c771 (17:4771)
 	db $08 ; asm
@@ -92324,7 +94430,7 @@ CeruleanGymBlocks: ; 5c866 (17:4866)
 CeruleanMart_h: ; 0x5c889 to 0x5c895 (12 bytes) (id=67)
 	db $02 ; tileset
 	db CERULEAN_MART_HEIGHT, CERULEAN_MART_WIDTH ; dimensions (y, x)
-	dw CeruleanMartBlocks, CeruleanMartTexts, CeruleanMartScript ; blocks, texts, scripts
+	dw CeruleanMartBlocks, CeruleanMartTextPointers, CeruleanMartScript ; blocks, texts, scripts
 	db $00 ; connections
 
 	dw CeruleanMartObject ; objects
@@ -92332,8 +94438,10 @@ CeruleanMart_h: ; 0x5c889 to 0x5c895 (12 bytes) (id=67)
 CeruleanMartScript: ; 5c895 (17:4895)
 	jp EnableAutoTextBoxDrawing
 
-CeruleanMartTexts: ; 5c898 (17:4898)
-	dw CeruleanMartText1, CeruleanMartText2, CeruleanMartText3
+CeruleanMartTextPointers: ; 5c898 (17:4898)
+	dw CeruleanMartText1
+	dw CeruleanMartText2
+	dw CeruleanMartText3
 
 CeruleanMartText2: ; 5c89e (17:489e)
 	TX_FAR _CeruleanMartText2
@@ -92364,7 +94472,7 @@ CeruleanMartObject: ; 0x5c8a8 (size=38)
 LavenderPokecenter_h: ; 0x5c8ce to 0x5c8da (12 bytes) (id=141)
 	db $06 ; tileset
 	db LAVENDER_POKECENTER_HEIGHT, LAVENDER_POKECENTER_WIDTH ; dimensions (y, x)
-	dw LavenderPokecenterBlocks, LavenderPokecenterTexts, LavenderPokecenterScript ; blocks, texts, scripts
+	dw LavenderPokecenterBlocks, LavenderPokecenterTextPointers, LavenderPokecenterScript ; blocks, texts, scripts
 	db $00 ; connections
 
 	dw LavenderPokecenterObject ; objects
@@ -92373,8 +94481,11 @@ LavenderPokecenterScript: ; 5c8da (17:48da)
 	call Func_22fa
 	jp EnableAutoTextBoxDrawing
 
-LavenderPokecenterTexts: ; 5c8e0 (17:48e0)
-	dw LavenderPokecenterText1, LavenderPokecenterText2, LavenderPokecenterText3, LavenderPokecenterText4
+LavenderPokecenterTextPointers: ; 5c8e0 (17:48e0)
+	dw LavenderPokecenterText1
+	dw LavenderPokecenterText2
+	dw LavenderPokecenterText3
+	dw LavenderPokecenterText4
 
 LavenderPokecenterText4: ; 5c8e8 (17:48e8)
 	db $f6
@@ -92412,7 +94523,7 @@ LavenderPokecenterObject: ; 0x5c8f4 (size=44)
 LavenderMart_h: ; 0x5c920 to 0x5c92c (12 bytes) (id=150)
 	db $02 ; tileset
 	db LAVENDER_MART_HEIGHT, LAVENDER_MART_WIDTH ; dimensions (y, x)
-	dw LavenderMartBlocks, LavenderMartTexts, LavenderMartScript ; blocks, texts, scripts
+	dw LavenderMartBlocks, LavenderMartTextPointers, LavenderMartScript ; blocks, texts, scripts
 	db $00 ; connections
 
 	dw LavenderMartObject ; objects
@@ -92420,8 +94531,10 @@ LavenderMart_h: ; 0x5c920 to 0x5c92c (12 bytes) (id=150)
 LavenderMartScript: ; 5c92c (17:492c)
 	jp EnableAutoTextBoxDrawing
 
-LavenderMartTexts: ; 5c92f (17:492f)
-	dw LavenderMartText1, LavenderMartText2, LavenderMartText3
+LavenderMartTextPointers: ; 5c92f (17:492f)
+	dw LavenderMartText1
+	dw LavenderMartText2
+	dw LavenderMartText3
 
 LavenderMartText2: ; 5c935 (17:4935)
 	TX_FAR _LavenderMartText2
@@ -92470,7 +94583,7 @@ LavenderMartObject: ; 0x5c95d (size=38)
 VermilionPokecenter_h: ; 0x5c983 to 0x5c98f (12 bytes) (id=89)
 	db $06 ; tileset
 	db VERMILION_POKECENTER_HEIGHT, VERMILION_POKECENTER_WIDTH ; dimensions (y, x)
-	dw VermilionPokecenterBlocks, VermilionPokecenterTexts, VermilionPokecenterScript ; blocks, texts, scripts
+	dw VermilionPokecenterBlocks, VermilionPokecenterTextPointers, VermilionPokecenterScript ; blocks, texts, scripts
 	db $00 ; connections
 
 	dw VermilionPokecenterObject ; objects
@@ -92479,8 +94592,11 @@ VermilionPokecenterScript: ; 5c98f (17:498f)
 	call Func_22fa
 	jp EnableAutoTextBoxDrawing
 
-VermilionPokecenterTexts: ; 5c995 (17:4995)
-	dw VermilionPokecenterText1, VermilionPokecenterText2, VermilionPokecenterText3, VermilionPokecenterText4
+VermilionPokecenterTextPointers: ; 5c995 (17:4995)
+	dw VermilionPokecenterText1
+	dw VermilionPokecenterText2
+	dw VermilionPokecenterText3
+	dw VermilionPokecenterText4
 
 VermilionPokecenterText1: ; 5c99d (17:499d)
 	db $ff
@@ -92518,7 +94634,7 @@ VermilionPokecenterObject: ; 0x5c9a9 (size=44)
 VermilionMart_h: ; 0x5c9d5 to 0x5c9e1 (12 bytes) (id=91)
 	db $02 ; tileset
 	db VERMILION_MART_HEIGHT, VERMILION_MART_WIDTH ; dimensions (y, x)
-	dw VermilionMartBlocks, VermilionMartTexts, VermilionMartScript ; blocks, texts, scripts
+	dw VermilionMartBlocks, VermilionMartTextPointers, VermilionMartScript ; blocks, texts, scripts
 	db $00 ; connections
 
 	dw VermilionMartObject ; objects
@@ -92526,8 +94642,10 @@ VermilionMart_h: ; 0x5c9d5 to 0x5c9e1 (12 bytes) (id=91)
 VermilionMartScript: ; 5c9e1 (17:49e1)
 	jp EnableAutoTextBoxDrawing
 
-VermilionMartTexts: ; 5c9e4 (17:49e4)
-	dw VermilionMartText1, VermilionMartText2, VermilionMartText3
+VermilionMartTextPointers: ; 5c9e4 (17:49e4)
+	dw VermilionMartText1
+	dw VermilionMartText2
+	dw VermilionMartText3
 
 VermilionMartText2: ; 5c9ea (17:49ea)
 	TX_FAR _VermilionMartText2
@@ -92558,7 +94676,7 @@ VermilionMartObject: ; 0x5c9f4 (size=38)
 VermilionGym_h: ; 0x5ca1a to 0x5ca26 (12 bytes) (id=92)
 	db $07 ; tileset
 	db VERMILION_GYM_HEIGHT, VERMILION_GYM_WIDTH ; dimensions (y, x)
-	dw VermilionGymBlocks, VermilionGymTexts, VermilionGymScript ; blocks, texts, scripts
+	dw VermilionGymBlocks, VermilionGymTextPointers, VermilionGymScript ; blocks, texts, scripts
 	db $00 ; connections
 
 	dw VermilionGymObject ; objects
@@ -92568,20 +94686,20 @@ VermilionGymScript: ; 5ca26 (17:4a26)
 	bit 5, [hl]
 	res 5, [hl]
 	push hl
-	call nz, VermilionGymScript_Unknown5ca4c
+	call nz, VermilionGymScript_5ca4c
 	pop hl
 	bit 6, [hl]
 	res 6, [hl]
-	call nz, Func_5ca6d
+	call nz, VermilionGymScript_5ca6d
 	call EnableAutoTextBoxDrawing
 	ld hl, VermilionGymTrainerHeader0
-	ld de, Unknown_5ca95 ; $4a95
+	ld de, VermilionGymScriptPointers
 	ld a, [W_VERMILIONGYMCURSCRIPT]
 	call ExecuteCurMapScriptInTable
 	ld [W_VERMILIONGYMCURSCRIPT], a
 	ret
 
-VermilionGymScript_Unknown5ca4c: ; 5ca4c (17:4a4c)
+VermilionGymScript_5ca4c: ; 5ca4c (17:4a4c)
 	ld hl, Gym3CityName ; $4a55
 	ld de, Gym3LeaderName ; $4a64
 	jp LoadGymLeaderAndCityName
@@ -92592,7 +94710,7 @@ Gym3CityName: ; 5ca55 (17:4a55)
 Gym3LeaderName: ; 5ca64 (17:4a64)
 	db "LT.SURGE@"
 
-Func_5ca6d: ; 5ca6d (17:4a6d)
+VermilionGymScript_5ca6d: ; 5ca6d (17:4a6d)
 	ld a, [$d773]
 	bit 0, a
 	jr nz, .asm_5ca78
@@ -92608,18 +94726,23 @@ Func_5ca6d: ; 5ca6d (17:4a6d)
 	ld a, $17
 	jp Predef ; indirect jump to Func_ee9e (ee9e (3:6e9e))
 
-Func_5ca8a: ; 5ca8a (17:4a8a)
+VermilionGymScript_5ca8a: ; 5ca8a (17:4a8a)
 	xor a
 	ld [wJoypadForbiddenButtonsMask], a
 	ld [W_VERMILIONGYMCURSCRIPT], a
 	ld [W_CURMAPSCRIPT], a
 	ret
 
-Unknown_5ca95: ; 5ca95 (17:4a95)
-INCBIN "baserom.gbc",$5ca95,$5ca9d - $5ca95
+VermilionGymScriptPointers: ; 5ca95 (17:4a95)
+	dw CheckFightingMapTrainers
+	dw Func_324c
+	dw EndTrainerBattle
+	dw VermilionGymScript3
+
+VermilionGymScript3: ; 5ca9d (17:4a9d)
 	ld a, [W_ISINBATTLE] ; $d057
 	cp $ff
-	jp z, Func_5ca8a
+	jp z, VermilionGymScript_5ca8a
 	ld a, $f0
 	ld [wJoypadForbiddenButtonsMask], a
 
@@ -92650,10 +94773,17 @@ Func_5caaa: ; 5caaa (17:4aaa)
 	ld a, [$d773]
 	or $1c
 	ld [$d773], a
-	jp Func_5ca8a
+	jp VermilionGymScript_5ca8a
 
-VermilionGymTexts: ; 5cae8 (17:4ae8)
-	dw VermilionGymText1, VermilionGymText2, VermilionGymText3, VermilionGymText4, VermilionGymText5, VermilionGymText6, VermilionGymText7, VermilionGymText8
+VermilionGymTextPointers: ; 5cae8 (17:4ae8)
+	dw VermilionGymText1
+	dw VermilionGymText2
+	dw VermilionGymText3
+	dw VermilionGymText4
+	dw VermilionGymText5
+	dw VermilionGymText6
+	dw VermilionGymText7
+	dw VermilionGymText8
 
 VermilionGymTrainerHeaders: ; 5caf8 (17:4af8)
 VermilionGymTrainerHeader0: ; 5caf8 (17:4af8)
@@ -92683,7 +94813,7 @@ VermilionGymTrainerHeader2: ; 5cb10 (17:4b10)
 	dw VermilionGymEndBattleText3 ; 0x4bd1 TextEndBattle
 	dw VermilionGymEndBattleText3 ; 0x4bd1 TextEndBattle
 
-db $ff
+	db $ff
 
 VermilionGymText1: ; 5cb1d (17:4b1d)
 	db $08 ; asm
@@ -92850,7 +94980,7 @@ VermilionGymBlocks: ; 5cc38 (17:4c38)
 CopycatsHouseF2_h: ; 0x5cc65 to 0x5cc71 (12 bytes) (id=176)
 	db $04 ; tileset
 	db COPYCATS_HOUSE_2F_HEIGHT, COPYCATS_HOUSE_2F_WIDTH ; dimensions (y, x)
-	dw CopycatsHouseF2Blocks, CopycatsHouseF2Texts, CopycatsHouseF2Script ; blocks, texts, scripts
+	dw CopycatsHouseF2Blocks, CopycatsHouseF2TextPointers, CopycatsHouseF2Script ; blocks, texts, scripts
 	db $00 ; connections
 
 	dw CopycatsHouseF2Object ; objects
@@ -92858,8 +94988,14 @@ CopycatsHouseF2_h: ; 0x5cc65 to 0x5cc71 (12 bytes) (id=176)
 CopycatsHouseF2Script: ; 5cc71 (17:4c71)
 	jp EnableAutoTextBoxDrawing
 
-CopycatsHouseF2Texts: ; 5cc74 (17:4c74)
-	dw CopycatsHouseF2Text1, CopycatsHouseF2Text2, CopycatsHouseF2Text3, CopycatsHouseF2Text4, CopycatsHouseF2Text5, CopycatsHouseF2Text6, CopycatsHouseF2Text7
+CopycatsHouseF2TextPointers: ; 5cc74 (17:4c74)
+	dw CopycatsHouseF2Text1
+	dw CopycatsHouseF2Text2
+	dw CopycatsHouseF2Text3
+	dw CopycatsHouseF2Text4
+	dw CopycatsHouseF2Text5
+	dw CopycatsHouseF2Text6
+	dw CopycatsHouseF2Text7
 
 CopycatsHouseF2Text1: ; 5cc82 (17:4c82)
 	db $08 ; asm
@@ -92977,7 +95113,7 @@ CopycatsHouseF2Object: ; 0x5cd21 (size=48)
 FightingDojo_h: ; 0x5cd51 to 0x5cd5d (12 bytes) (id=177)
 	db $05 ; tileset
 	db FIGHTINGDOJO_HEIGHT, FIGHTINGDOJO_WIDTH ; dimensions (y, x)
-	dw FightingDojoBlocks, FightingDojoTexts, FightingDojoScript ; blocks, texts, scripts
+	dw FightingDojoBlocks, FightingDojoTextPointers, FightingDojoScript ; blocks, texts, scripts
 	db $00 ; connections
 
 	dw FightingDojoObject ; objects
@@ -92985,19 +95121,98 @@ FightingDojo_h: ; 0x5cd51 to 0x5cd5d (12 bytes) (id=177)
 FightingDojoScript: ; 5cd5d (17:4d5d)
 	call EnableAutoTextBoxDrawing
 	ld hl, FightingDojoTrainerHeaders
-	ld de, Unknown_5cd7b ; $4d7b
+	ld de, FightingDojoScriptPointers
 	ld a, [W_FIGHTINGDOJOCURSCRIPT]
 	call ExecuteCurMapScriptInTable
 	ld [W_FIGHTINGDOJOCURSCRIPT], a
 	ret
 
-INCBIN "baserom.gbc",$5cd70,$5cd7b - $5cd70
+FightingDojoScript_5cd70: ; 5cd70 (17:4d70)
+	xor a
+	ld [$cd6b], a
+	ld [$d642], a
+	ld [$da39], a
+	ret
 
-Unknown_5cd7b: ; 5cd7b (17:4d7b)
-INCBIN "baserom.gbc",$5cd7b,$5ce03 - $5cd7b
+FightingDojoScriptPointers: ; 5cd7b (17:4d7b)
+	dw FightingDojoScript1
+	dw Func_324c
+	dw EndTrainerBattle
+	dw FightingDojoScript3
 
-FightingDojoTexts: ; 5ce03 (17:4e03)
-	dw FightingDojoText1, FightingDojoText2, FightingDojoText3, FightingDojoText4, FightingDojoText5, FightingDojoText6, FightingDojoText7, FightingDojoText8
+FightingDojoScript1: ; 5cd83 (17:4d83)
+	ld a, [$d7b1]
+	bit 0, a
+	ret nz
+	call CheckFightingMapTrainers
+	ld a, [wTrainerHeaderFlagBit]
+	and a
+	ret nz
+	ld a, [$d7b1]
+	bit 1, a
+	ret nz
+	xor a
+	ld [H_CURRENTPRESSEDBUTTONS], a
+	ld [$cf0d], a
+	ld a, [W_YCOORD]
+	cp $3
+	ret nz
+	ld a, [W_XCOORD]
+	cp $4
+	ret nz
+	ld a, $1
+	ld [$cf0d], a
+	ld a, $1
+	ld [$d528], a
+	ld a, $1
+	ld [$ff8c], a
+	ld a, $8
+	ld [$ff8d], a
+	call $34a6
+	ld a, $1
+	ld [$ff8c], a
+	call DisplayTextID
+	ret
+
+FightingDojoScript3: ; 5cdc6 (17:4dc6)
+	ld a, [$d057]
+	cp $ff
+	jp z, $4d70
+	ld a, [$cf0d]
+	and a
+	jr z, .asm_5cde4
+	ld a, $1
+	ld [$d528], a
+	ld a, $1
+	ld [$ff8c], a
+	ld a, $8
+	ld [$ff8d], a
+	call $34a6
+
+.asm_5cde4
+	ld a, $f0
+	ld [$cd6b], a
+	ld a, [$d7b1]
+	or $3e
+	ld [$d7b1], a
+	ld a, $8
+	ld [$ff8c], a
+	call DisplayTextID
+	xor a
+	ld [$cd6b], a
+	ld [$d642], a
+	ld [$da39], a
+	ret
+
+FightingDojoTextPointers: ; 5ce03 (17:4e03)
+	dw FightingDojoText1
+	dw FightingDojoText2
+	dw FightingDojoText3
+	dw FightingDojoText4
+	dw FightingDojoText5
+	dw FightingDojoText6
+	dw FightingDojoText7
+	dw FightingDojoText8
 
 FightingDojoTrainerHeaders: ; 5ce13 (17:4e13)
 FightingDojoTrainerHeader0: ; 5ce13 (17:4e13)
@@ -93036,7 +95251,7 @@ FightingDojoTrainerHeader3: ; 5ce37 (17:4e37)
 	dw FightingDojoEndBattleText4 ; 0x4efc TextEndBattle
 	dw FightingDojoEndBattleText4 ; 0x4efc TextEndBattle
 
-db $ff
+	db $ff
 
 FightingDojoText1: ; 5ce44 (17:4e44)
 	db $08 ; asm
@@ -93269,7 +95484,7 @@ FightingDojoBlocks: ; 5cfe3 (17:4fe3)
 SaffronGym_h: ; 0x5d001 to 0x5d00d (12 bytes) (id=178)
 	db $16 ; tileset
 	db SAFFRON_GYM_HEIGHT, SAFFRON_GYM_WIDTH ; dimensions (y, x)
-	dw SaffronGymBlocks, SaffronGymTexts, SaffronGymScript ; blocks, texts, scripts
+	dw SaffronGymBlocks, SaffronGymTextPointers, SaffronGymScript ; blocks, texts, scripts
 	db $00 ; connections
 
 	dw SaffronGymObject ; objects
@@ -93280,8 +95495,8 @@ SaffronGymScript: ; 5d00d (17:500d)
 	res 6, [hl]
 	call nz, .extra
 	call EnableAutoTextBoxDrawing
-	ld hl, SaffronGymTrainerHeader0 ; $50c3
-	ld de, Unknown_5d053 ; $5053
+	ld hl, SaffronGymTrainerHeader0
+	ld de, SaffronGymScriptPointers
 	ld a, [W_SAFFRONGYMCURSCRIPT]
 	call ExecuteCurMapScriptInTable
 	ld [W_SAFFRONGYMCURSCRIPT], a
@@ -93305,8 +95520,13 @@ Func_5d048: ; 5d048 (17:5048)
 	ld [W_CURMAPSCRIPT], a
 	ret
 
-Unknown_5d053: ; 5d053 (17:5053)
-INCBIN "baserom.gbc",$5d053,$5d05b - $5d053
+SaffronGymScriptPointers: ; 5d053 (17:5053)
+	dw CheckFightingMapTrainers
+	dw Func_324c
+	dw EndTrainerBattle
+	dw SaffronGymScript3
+
+SaffronGymScript3: ; 5d05b (17:505b)
 	ld a, [W_ISINBATTLE] ; $d057
 	cp $ff
 	jp z, Func_5d048
@@ -93344,8 +95564,19 @@ Func_5d068: ; 5d068 (17:5068)
 	set 0, [hl]
 	jp Func_5d048
 
-SaffronGymTexts: ; 5d0ab (17:50ab)
-	dw SaffronGymText1, SaffronGymText2, SaffronGymText3, SaffronGymText4, SaffronGymText5, SaffronGymText6, SaffronGymText7, SaffronGymText8, SaffronGymText9, SaffronGymText10, SaffronGymText11, SaffronGymText12
+SaffronGymTextPointers: ; 5d0ab (17:50ab)
+	dw SaffronGymText1
+	dw SaffronGymText2
+	dw SaffronGymText3
+	dw SaffronGymText4
+	dw SaffronGymText5
+	dw SaffronGymText6
+	dw SaffronGymText7
+	dw SaffronGymText8
+	dw SaffronGymText9
+	dw SaffronGymText10
+	dw SaffronGymText11
+	dw SaffronGymText12
 
 SaffronGymTrainerHeaders: ; 5d0c3 (17:50c3)
 SaffronGymTrainerHeader0: ; 5d0c3 (17:50c3)
@@ -93411,7 +95642,7 @@ SaffronGymTrainerHeader6: ; 5d10b (17:510b)
 	dw SaffronGymEndBattleText7 ; 0x524f TextEndBattle
 	dw SaffronGymEndBattleText7 ; 0x524f TextEndBattle
 
-db $ff
+	db $ff
 
 SaffronGymText1: ; 5d118 (17:5118)
 	db $08 ; asm
@@ -93713,7 +95944,7 @@ SaffronGymBlocks: ; 5d3a3 (17:53a3)
 SaffronMart_h: ; 0x5d3fd to 0x5d409 (12 bytes) (id=180)
 	db $02 ; tileset
 	db SAFFRON_MART_HEIGHT, SAFFRON_MART_WIDTH ; dimensions (y, x)
-	dw SaffronMartBlocks, SaffronMartTexts, SaffronMartScript ; blocks, texts, scripts
+	dw SaffronMartBlocks, SaffronMartTextPointers, SaffronMartScript ; blocks, texts, scripts
 	db $00 ; connections
 
 	dw SaffronMartObject ; objects
@@ -93721,8 +95952,10 @@ SaffronMart_h: ; 0x5d3fd to 0x5d409 (12 bytes) (id=180)
 SaffronMartScript: ; 5d409 (17:5409)
 	jp EnableAutoTextBoxDrawing
 
-SaffronMartTexts: ; 5d40c (17:540c)
-	dw SaffronMartText1, SaffronMartText2, SaffronMartText3
+SaffronMartTextPointers: ; 5d40c (17:540c)
+	dw SaffronMartText1
+	dw SaffronMartText2
+	dw SaffronMartText3
 
 SaffronMartText2: ; 5d412 (17:5412)
 	TX_FAR _SaffronMartText2
@@ -93753,7 +95986,7 @@ SaffronMartObject: ; 0x5d41c (size=38)
 SilphCo1_h: ; 0x5d442 to 0x5d44e (12 bytes) (id=181)
 	db $16 ; tileset
 	db SILPH_CO_1F_HEIGHT, SILPH_CO_1F_WIDTH ; dimensions (y, x)
-	dw SilphCo1Blocks, SilphCo1Texts, SilphCo1Script ; blocks, texts, scripts
+	dw SilphCo1Blocks, SilphCo1TextPointers, SilphCo1Script ; blocks, texts, scripts
 	db $00 ; connections
 
 	dw SilphCo1Object ; objects
@@ -93772,7 +96005,7 @@ SilphCo1Script: ; 5d44e (17:544e)
 	ld a, $15
 	jp Predef
 
-SilphCo1Texts: ; 5d469 (17:5469)
+SilphCo1TextPointers: ; 5d469 (17:5469)
 	dw SilphCo1Text1
 
 SilphCo1Text1: ; 5d46b (17:546b)
@@ -93807,7 +96040,7 @@ SilphCo1Blocks: ; 5d4a2 (17:54a2)
 SaffronPokecenter_h: ; 0x5d529 to 0x5d535 (12 bytes) (id=182)
 	db $06 ; tileset
 	db SAFFRON_POKECENTER_HEIGHT, SAFFRON_POKECENTER_WIDTH ; dimensions (y, x)
-	dw SaffronPokecenterBlocks, SaffronPokecenterTexts, SaffronPokecenterScript ; blocks, texts, scripts
+	dw SaffronPokecenterBlocks, SaffronPokecenterTextPointers, SaffronPokecenterScript ; blocks, texts, scripts
 	db $00 ; connections
 
 	dw SaffronPokecenterObject ; objects
@@ -93816,8 +96049,11 @@ SaffronPokecenterScript: ; 5d535 (17:5535)
 	call Func_22fa
 	jp EnableAutoTextBoxDrawing
 
-SaffronPokecenterTexts: ; 5d53b (17:553b)
-	dw SaffronPokecenterText1, SaffronPokecenterText2, SaffronPokecenterText3, SaffronPokecenterText4
+SaffronPokecenterTextPointers: ; 5d53b (17:553b)
+	dw SaffronPokecenterText1
+	dw SaffronPokecenterText2
+	dw SaffronPokecenterText3
+	dw SaffronPokecenterText4
 
 SaffronPokecenterText1: ; 5d543 (17:5543)
 	db $ff
@@ -93855,7 +96091,7 @@ SaffronPokecenterObject: ; 0x5d54f (size=44)
 ViridianForestexit_h: ; 0x5d57b to 0x5d587 (12 bytes) (id=47)
 	db $09 ; tileset
 	db VIRIDIAN_FOREST_EXIT_HEIGHT, VIRIDIAN_FOREST_EXIT_WIDTH ; dimensions (y, x)
-	dw ViridianForestexitBlocks, ViridianForestexitTexts, ViridianForestexitScript ; blocks, texts, scripts
+	dw ViridianForestexitBlocks, ViridianForestexitTextPointers, ViridianForestexitScript ; blocks, texts, scripts
 	db $00 ; connections
 
 	dw ViridianForestexitObject ; objects
@@ -93863,8 +96099,9 @@ ViridianForestexit_h: ; 0x5d57b to 0x5d587 (12 bytes) (id=47)
 ViridianForestexitScript: ; 5d587 (17:5587)
 	jp EnableAutoTextBoxDrawing
 
-ViridianForestexitTexts: ; 5d58a (17:558a)
-	dw ViridianForestexitText1, ViridianForestexitText2
+ViridianForestexitTextPointers: ; 5d58a (17:558a)
+	dw ViridianForestexitText1
+	dw ViridianForestexitText2
 
 ViridianForestexitText1: ; 5d58e (17:558e)
 	TX_FAR _ViridianForestexitText1
@@ -93898,7 +96135,7 @@ ViridianForestexitObject: ; 0x5d598 (size=48)
 Route2Gate_h: ; 0x5d5c8 to 0x5d5d4 (12 bytes) (id=49)
 	db $0c ; tileset
 	db ROUTE_2_GATE_HEIGHT, ROUTE_2_GATE_WIDTH ; dimensions (y, x)
-	dw Route2GateBlocks, Route2GateTexts, Route2GateScript ; blocks, texts, scripts
+	dw Route2GateBlocks, Route2GateTextPointers, Route2GateScript ; blocks, texts, scripts
 	db $00 ; connections
 
 	dw Route2GateObject ; objects
@@ -93906,8 +96143,9 @@ Route2Gate_h: ; 0x5d5c8 to 0x5d5d4 (12 bytes) (id=49)
 Route2GateScript: ; 5d5d4 (17:55d4)
 	jp EnableAutoTextBoxDrawing
 
-Route2GateTexts: ; 5d5d7 (17:55d7)
-	dw Route2GateText1, Route2GateText2
+Route2GateTextPointers: ; 5d5d7 (17:55d7)
+	dw Route2GateText1
+	dw Route2GateText2
 
 Route2GateText1: ; 5d5db (17:55db)
 	db $08 ; asm
@@ -93969,7 +96207,7 @@ Route2GateObject: ; 0x5d620 (size=48)
 ViridianForestEntrance_h: ; 0x5d650 to 0x5d65c (12 bytes) (id=50)
 	db $09 ; tileset
 	db VIRIDIAN_FOREST_ENTRANCE_HEIGHT, VIRIDIAN_FOREST_ENTRANCE_WIDTH ; dimensions (y, x)
-	dw ViridianForestEntranceBlocks, ViridianForestEntranceTexts, ViridianForestEntranceScript ; blocks, texts, scripts
+	dw ViridianForestEntranceBlocks, ViridianForestEntranceTextPointers, ViridianForestEntranceScript ; blocks, texts, scripts
 	db $00 ; connections
 
 	dw ViridianForestEntranceObject ; objects
@@ -93977,8 +96215,9 @@ ViridianForestEntrance_h: ; 0x5d650 to 0x5d65c (12 bytes) (id=50)
 ViridianForestEntranceScript: ; 5d65c (17:565c)
 	jp EnableAutoTextBoxDrawing
 
-ViridianForestEntranceTexts: ; 5d65f (17:565f)
-	dw ViridianForestEntranceText1, ViridianForestEntranceText2
+ViridianForestEntranceTextPointers: ; 5d65f (17:565f)
+	dw ViridianForestEntranceText1
+	dw ViridianForestEntranceText2
 
 ViridianForestEntranceText1: ; 5d663 (17:5663)
 	TX_FAR _ViridianForestEntranceText1
@@ -94012,7 +96251,7 @@ ViridianForestEntranceObject: ; 0x5d66d (size=48)
 UndergroundTunnelEntranceRoute5_h: ; 0x5d69d to 0x5d6a9 (12 bytes) (id=71)
 	db $0c ; tileset
 	db PATH_ENTRANCE_ROUTE_5_HEIGHT, PATH_ENTRANCE_ROUTE_5_WIDTH ; dimensions (y, x)
-	dw UndergroundTunnelEntranceRoute5Blocks, UndergroundTunnelEntranceRoute5Texts, UndergroundTunnelEntranceRoute5Script ; blocks, texts, scripts
+	dw UndergroundTunnelEntranceRoute5Blocks, UndergroundTunnelEntranceRoute5TextPointers, UndergroundTunnelEntranceRoute5Script ; blocks, texts, scripts
 	db $00 ; connections
 
 	dw UndergroundTunnelEntranceRoute5Object ; objects
@@ -94025,7 +96264,7 @@ UndergroundTunnelEntranceRoute5Script: ; 5d6a9 (17:56a9)
 UndergroundTunnelEntranceRoute5_5d6af: ; 5d6af (17:56af)
 	db $50
 
-UndergroundTunnelEntranceRoute5Texts: ; 5d6b0 (17:56b0)
+UndergroundTunnelEntranceRoute5TextPointers: ; 5d6b0 (17:56b0)
 	dw UndergroundTunnelEntranceRoute5Text1
 
 UndergroundTunnelEntranceRoute5Text1: ; 5d6b2 (17:56b2)
@@ -94058,7 +96297,7 @@ UndergroundTunnelEntranceRoute5Object: ; 0x5d6c1 (size=34)
 UndergroundTunnelEntranceRoute6_h: ; 0x5d6e3 to 0x5d6ef (12 bytes) (id=74)
 	db $0c ; tileset
 	db PATH_ENTRANCE_ROUTE_6_HEIGHT, PATH_ENTRANCE_ROUTE_6_WIDTH ; dimensions (y, x)
-	dw UndergroundTunnelEntranceRoute6Blocks, UndergroundTunnelEntranceRoute6Texts, UndergroundTunnelEntranceRoute6Script ; blocks, texts, scripts
+	dw UndergroundTunnelEntranceRoute6Blocks, UndergroundTunnelEntranceRoute6TextPointers, UndergroundTunnelEntranceRoute6Script ; blocks, texts, scripts
 	db $00 ; connections
 
 	dw UndergroundTunnelEntranceRoute6Object ; objects
@@ -94068,7 +96307,7 @@ UndergroundTunnelEntranceRoute6Script: ; 5d6ef (17:56ef)
 	ld [$d365], a
 	jp EnableAutoTextBoxDrawing
 
-UndergroundTunnelEntranceRoute6Texts: ; 5d6f7 (17:56f7)
+UndergroundTunnelEntranceRoute6TextPointers: ; 5d6f7 (17:56f7)
 	dw UndergroundTunnelEntranceRoute6Text1
 
 ;XXX wtf? syntax error on TX_FAR?
@@ -94098,7 +96337,7 @@ UndergroundTunnelEntranceRoute6Object: ; 0x5d6fe (size=34)
 UndergroundPathEntranceRoute7_h: ; 0x5d720 to 0x5d72c (12 bytes) (id=77)
 	db $0c ; tileset
 	db PATH_ENTRANCE_ROUTE_7_HEIGHT, PATH_ENTRANCE_ROUTE_7_WIDTH ; dimensions (y, x)
-	dw UndergroundTunnelEntranceRoute7Blocks, UndergroundPathEntranceRoute7Texts, UndergroundPathEntranceRoute7Script ; blocks, texts, scripts
+	dw UndergroundTunnelEntranceRoute7Blocks, UndergroundPathEntranceRoute7TextPointers, UndergroundPathEntranceRoute7Script ; blocks, texts, scripts
 	db $00 ; connections
 
 	dw UndergroundPathEntranceRoute7Object ; objects
@@ -94108,7 +96347,7 @@ UndergroundPathEntranceRoute7Script: ; 5d72c (17:572c)
 	ld [$d365], a
 	jp EnableAutoTextBoxDrawing
 
-UndergroundPathEntranceRoute7Texts: ; 5d734 (17:5734)
+UndergroundPathEntranceRoute7TextPointers: ; 5d734 (17:5734)
 	dw UndergroundPathEntranceRoute7Text1
 
 UndergroundPathEntranceRoute7Text1: ; 5d736 (17:5736)
@@ -94157,22 +96396,22 @@ INCBIN "baserom.gbc",$5d787,$5d7af - $5d787
 SilphCo9_h: ; 0x5d7af to 0x5d7bb (12 bytes) (id=233)
 	db $16 ; tileset
 	db SILPH_CO_9F_HEIGHT, SILPH_CO_9F_WIDTH ; dimensions (y, x)
-	dw SilphCo9Blocks, SilphCo9Texts, SilphCo9Script ; blocks, texts, scripts
+	dw SilphCo9Blocks, SilphCo9TextPointers, SilphCo9Script ; blocks, texts, scripts
 	db $00 ; connections
 
 	dw SilphCo9Object ; objects
 
 SilphCo9Script: ; 5d7bb (17:57bb)
-	call SilphCo9Script_Unknown5d7d1
+	call SilphCo9Script_5d7d1
 	call EnableAutoTextBoxDrawing
 	ld hl, SilphCo9TrainerHeaders
-	ld de, Unknown_5d885 ; $5885
+	ld de, SilphCo9ScriptPointers
 	ld a, [W_SILPHCO9CURSCRIPT]
 	call ExecuteCurMapScriptInTable
 	ld [W_SILPHCO9CURSCRIPT], a
 	ret
 
-SilphCo9Script_Unknown5d7d1: ; 5d7d1 (17:57d1)
+SilphCo9Script_5d7d1: ; 5d7d1 (17:57d1)
 	ld hl, $d126
 	bit 5, [hl]
 	res 5, [hl]
@@ -94283,11 +96522,16 @@ Func_5d863: ; 5d863 (17:5863)
 	set 3, [hl]
 	ret
 
-Unknown_5d885: ; 5d885 (17:5885)
-INCBIN "baserom.gbc",$5d885,$5d88b - $5d885
+SilphCo9ScriptPointers: ; 5d885 (17:5885)
+	dw CheckFightingMapTrainers
+	dw Func_324c
+	dw EndTrainerBattle
 
-SilphCo9Texts: ; 5d88b (17:588b)
-	dw SilphCo9Text1, SilphCo9Text2, SilphCo9Text3, SilphCo9Text4
+SilphCo9TextPointers: ; 5d88b (17:588b)
+	dw SilphCo9Text1
+	dw SilphCo9Text2
+	dw SilphCo9Text3
+	dw SilphCo9Text4
 
 SilphCo9TrainerHeaders: ; 5d893 (17:5893)
 SilphCo9TrainerHeader0: ; 5d893 (17:5893)
@@ -94317,7 +96561,7 @@ SilphCo9TrainerHeader2: ; 5d8ab (17:58ab)
 	dw SilphCo9EndBattleText3 ; 0x5935 TextEndBattle
 	dw SilphCo9EndBattleText3 ; 0x5935 TextEndBattle
 
-db $ff
+	db $ff
 
 SilphCo9Text1: ; 5d8b8 (17:58b8)
 	db $08 ; asm
@@ -94437,7 +96681,7 @@ SilphCo9Blocks: ; 5d989 (17:5989)
 VictoryRoad1_h: ; 0x5d9fe to 0x5da0a (12 bytes) (id=108)
 	db $11 ; tileset
 	db VICTORY_ROAD_1_HEIGHT, VICTORY_ROAD_1_WIDTH ; dimensions (y, x)
-	dw VictoryRoad1Blocks, VictoryRoad1Texts, VictoryRoad1Script ; blocks, texts, scripts
+	dw VictoryRoad1Blocks, VictoryRoad1TextPointers, VictoryRoad1Script ; blocks, texts, scripts
 	db $00 ; connections
 
 	dw VictoryRoad1Object ; objects
@@ -94449,7 +96693,7 @@ VictoryRoad1Script: ; 5da0a (17:5a0a)
 	call nz, .next
 	call EnableAutoTextBoxDrawing
 	ld hl, VictoryRoad1TrainerHeaders
-	ld de, Unknown_5da3a ; $5a3a
+	ld de, VictoryRoad1ScriptPointers
 	ld a, [W_VICTORYROAD1CURSCRIPT]
 	call ExecuteCurMapScriptInTable
 	ld [W_VICTORYROAD1CURSCRIPT], a
@@ -94464,12 +96708,16 @@ VictoryRoad1Script: ; 5da0a (17:5a0a)
 	ld a, $17
 	jp Predef ; indirect jump to Func_ee9e (ee9e (3:6e9e))
 
-Unknown_5da3a: ; 5da3a (17:5a3a)
-INCBIN "baserom.gbc",$5da3a,$5da40 - $5da3a
+VictoryRoad1ScriptPointers: ; 5da3a (17:5a3a)
+	dw VictoryRoad1Script0
+	dw Func_324c
+	dw EndTrainerBattle
+
+VictoryRoad1Script0: ; 5da40 (17:5a40)
 	ld a, [$d869]
 	bit 7, a
 	jp nz, CheckFightingMapTrainers
-	ld hl, Unknown_5da5c ; $5a5c
+	ld hl, CoordsData_5da5c ; $5a5c
 	call CheckBoulderCoords
 	jp nc, CheckFightingMapTrainers
 	ld hl, $d126
@@ -94478,11 +96726,17 @@ INCBIN "baserom.gbc",$5da3a,$5da40 - $5da3a
 	set 7, [hl]
 	ret
 
-Unknown_5da5c: ; 5da5c (17:5a5c)
-INCBIN "baserom.gbc",$5da5c,$5da5f - $5da5c
+CoordsData_5da5c: ; 5da5c (17:5a5c)
+	db $0D,$11,$FF
 
-VictoryRoad1Texts: ; 5da5f (17:5a5f)
-	dw VictoryRoad1Text1, VictoryRoad1Text2, Predef5CText, Predef5CText, BoulderText, BoulderText, BoulderText
+VictoryRoad1TextPointers: ; 5da5f (17:5a5f)
+	dw VictoryRoad1Text1
+	dw VictoryRoad1Text2
+	dw Predef5CText
+	dw Predef5CText
+	dw BoulderText
+	dw BoulderText
+	dw BoulderText
 
 VictoryRoad1TrainerHeaders: ; 5da6d (17:5a6d)
 VictoryRoad1TrainerHeader0: ; 5da6d (17:5a6d)
@@ -94503,7 +96757,7 @@ VictoryRoad1TrainerHeader1: ; 5da79 (17:5a79)
 	dw VictoryRoad1EndBattleText2 ; 0x5aae TextEndBattle
 	dw VictoryRoad1EndBattleText2 ; 0x5aae TextEndBattle
 
-db $ff
+	db $ff
 
 VictoryRoad1Text1: ; 5da86 (17:5a86)
 	db $08 ; asm
@@ -94584,13 +96838,32 @@ SetPartyMonTypes: ; 5db5e (17:5b5e)
 	ld [hl], a
 	ret
 
-INCBIN "baserom.gbc",$5db79,$5db81 - $5db79
+Func_5db79: ; 5db79 (17:5b79)
+	call EnableAutoTextBoxDrawing
+	ld a, $4
+	jp Func_3ef5
 
 UnnamedText_5db81: ; 5db81 (17:5b81)
 	TX_FAR _UnnamedText_5db81
 	db "@"
 
-INCBIN "baserom.gbc",$5db86,$5dba8 - $5db86
+Func_5db86: ; 5db86 (17:5b86)
+	call EnableAutoTextBoxDrawing
+	ld a, $3
+	jp Func_3ef5
+
+Func_5db8e: ; 5db8e (17:5b8e)
+	db $fc
+	ld a, [$c109]
+	cp $4
+	ret nz
+	call EnableAutoTextBoxDrawing
+	ld a, $a
+	call Func_3ef5
+	ld a, ARTICUNO
+	ld [$cf91], a
+	call PlayCry
+	jp Func_5dbd9
 
 UnnamedText_5dba8: ; 5dba8 (17:5ba8)
 	TX_FAR _UnnamedText_5dba8
@@ -94664,17 +96937,17 @@ Unknown_5dc2a: ; 5dc2a (17:5c2a)
 	ld hl, UnnamedText_5dc9e
 	call PrintText
 	xor a
-	ld [$d07c], a
-	ld [$cc26], a
-	ld [$cc2a], a
+	ld [W_ANIMATIONID], a
+	ld [wCurrentMenuItem], a
+	ld [wLastMenuItem], a
 	ld a, $3
-	ld [$cc29], a
+	ld [wMenuWatchedKeys], a
 	ld a, $3
-	ld [$cc28], a
+	ld [wMaxMenuItem], a
 	ld a, $2
-	ld [$cc24], a
+	ld [wTopMenuItemY], a
 	ld a, $1
-	ld [$cc25], a
+	ld [wTopMenuItemX], a
 .asm_5c51
 	ld hl, $d730
 	set 6, [hl]
